Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required
RebootBaremetalInstance
RebootBaremetalInstance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the bare metal instance.
Body Fields
rebootbaremetalinstanceObjectRequiredrebootbaremetalinstance request body object.
pxeBootBooleanOptional. Specifies whether to PXE boot the bare metal instance by using its NIC.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal/instances/{uuid}/actions
/zstack/v1/baremetal/instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"rebootbaremetalinstance":{"pxeBoot":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "227ea410fadd38668fb7dd5679d3f095", "name": "BM-1", "description": "This is a baremetal instance.", "zoneUuid": "946022bde3053bf29c7cbbf466241c7f", "clusterUuid": "a7b427907a883ae2acf0a6d408eae0e5", "chassisUuid": "0746a3cc213a345d89d31bfd82b00e12", "imageUuid": "828c0bc2e8f132bc924ed0a616860e66", "platform": "Linux", "state": "Rebooting", "status": "Provisioned", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "bmNics": [ { "uuid": "fe99549e3f4f3683b4fb37f623de9115", "baremetalInstanceUuid": "227ea410fadd38668fb7dd5679d3f095", "l3NetworkUuid": "99f6eb7273e936f3ad638ba00b474a4b", "mac": "6c:b3:11:1b:0b:1e", "ip": "192.168.0.10", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "pxe": false } ] } }Change History
This API has no change history records yet.
